import styles from "../index.module.css";
import { useParams, useLoaderData } from 'react-router-dom';
import {getSensor, getLastValue} from '../sensor.js';

export function sensorLoader({params}) {
    const sensor = getSensor(params.sensorName);
    return {sensor};
}
export function loaderLastValueSensor({params}) {
    const last_value = getLastValue(params.sensorName);
    return {last_value};
}
export default function Sensor(){
    const { sensorName } = useParams();
    const sensor = useLoaderData();

    return(
      <div>
        <h2>{sensorName}</h2>
        <h2>Valeur actuelle</h2>
        <div className={styles.sensorValue}>
            {sensor.last_value}
        </div>
        <h2>Historique</h2>
        <div className={styles.historique}>
            {getSensor(sensorName).map((value, index) => (
                <div key={index}  className={styles.listItem}>{value}</div>
            )).reverse()}
        </div>
      </div>
    );

}